

unit_dict = '''
Type,Name,Units,,,
GLOBAL,Clearness number,-,,,
GLOBAL,Ground temp (Rankine),Rankine,,,
GLOBAL,Outside wet-bulb temp (F),deg F,,,
GLOBAL,Outside dry-bulb temp (F),deg F,,,
GLOBAL,Atmospheric pressure,-,,,
GLOBAL,Cloud amount (0-10),frac,,,
GLOBAL,Snow flag (1 = snowfall),-,,,
GLOBAL,Rain flag (1 - rainfall),-,,,
GLOBAL,Wind direction (0-15),frac,,,
GLOBAL,Humidity ratio (lb H20/lb air),lb H20/lb air,,,
GLOBAL,Air density (lb/ft3),lb/ft3,,,
GLOBAL,Specific enthalpy of air (Btu/lb),Btu/lb,,,
GLOBAL,Diffuse horiz solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Direct normal solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Total horiz solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Wind speed (knots),knots,,,
GLOBAL,Dew-point temp (F),deg F,,,
GLOBAL,Wind direction in radians (clockwise from North),radians,,,
GLOBAL,Cloud cover multiplier (0-1),-,,,
GLOBAL,Clear day direct normal solar rad x CLDCOV (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Clear day diffuse horiz solar rad x CLDCOV (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Heat loss by horizontal ext wall to sky,-,,,
GLOBAL,Drybulb temp (Rankine),Rankine,,,
GLOBAL,Hour angle of sunrise for the day (radians),radians,,,
GLOBAL,Current hour angle (radians),radians,,,
GLOBAL,Tangent of solar declination angle,-,,,
GLOBAL,Value of the solar equation of time (hr),hr,,,
GLOBAL,Direct normal extraterrestrial solar rad (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Atmospheric extinction coefficient,-,,,
GLOBAL,Sky diffusivity factor,-,,,
GLOBAL,Solar direction cosine (x),-,,,
GLOBAL,Solar direction cosine (y),-,,,
GLOBAL,Solar direction cosine (z),-,,,
GLOBAL,Direct normal solar rad intensity on clear day (Btu/hr-ft2) (calculated),Btu/hr-ft2,,,
GLOBAL,Diffuse horiz solar rad intensity on a clear day (Btu/hr-ft2) (calculated),Btu/hr-ft2,,,
GLOBAL,Year,-,,,
GLOBAL,Month,-,,,
GLOBAL,Day,-,,,
GLOBAL,Day of the year (1-365),-,,,
GLOBAL,Day of the week (1-7),-,,,
GLOBAL,Pressure caused by wind velocity (inches of water),inches of water,,,
GLOBAL,Atmospheric turbidity factor according to Angstrom,-,,,
GLOBAL,Atmospheric moisture (inches in precipitable water),inches of water,,,
GLOBAL,Solar attitude (degrees above horizontal),deg,,,
GLOBAL,Solar azimuth (degrees) (measured clockwise from North),deg,,,
GLOBAL,Cloudiness factor (0 for overcast sky to 1.0 for clear sky),-,,,
GLOBAL,Ext horizontal illuminance from clear part of sky (footcandles),footcandles,,,
GLOBAL,Ext horizontal illuminance from overcast part of sky (footcandles),footcandles,,,
GLOBAL,Ext horizontal illuminance from direct sun (footcandles),footcandles,,,
GLOBAL,Ratio of ext horiz illum calc from measured insolation vs. CIE sky lumin,-,,,
GLOBAL,Luminance efficacy of direct solar radiation (lumens/watt),lumens/watt,,,
GLOBAL,Luminance efficacy of diffuse solar from clear part of sky (lumens/watt),lumens/watt,,,
GLOBAL,Luminance efficacy of diffuse solar from overcast part of sky (lumens/watt),lumens/watt,,,
BLDG LOADS,Building heat load (sensible),Btu/hr,,,
BLDG LOADS,Building heat load (latent),Btu/hr,,,
BLDG LOADS,Building heat load from wall conduction,Btu/hr,,,
BLDG LOADS,Building heat load from roof conduction,Btu/hr,,,
BLDG LOADS,Building heat load from window conduction,Btu/hr,,,
BLDG LOADS,Building heat load from solar rad through windows,Btu/hr,,,
BLDG LOADS,Building sensible heat load from infiltration,Btu/hr,,,
BLDG LOADS,Building heat load from int wall conduction,Btu/hr,,,
BLDG LOADS,Bldg heat load from conduction through undergrnd walls and floors,Btu/hr,,,
BLDG LOADS,Building light heat load,Btu/hr,,,
BLDG LOADS,Building heat load from doors,Btu/hr,,,
BLDG LOADS,Building elec equip heat load (sensible),Btu/hr,,,
BLDG LOADS,Building source heat load (sensible),Btu/hr,,,
BLDG LOADS,Building people heat load (sensible),Btu/hr,,,
BLDG LOADS,Building people heat load (latent),Btu/hr,,,
BLDG LOADS,Building elec equip heat load (latent),Btu/hr,,,
BLDG LOADS,Building source heat load (latent),Btu/hr,,,
BLDG LOADS,Building infiltration heat load (latent),Btu/hr,,,
BLDG LOADS,Building cool load (sensible),Btu/hr,,,
BLDG LOADS,Building cool load (latent),Btu/hr,,,
BLDG LOADS,Building cool load from wall conduction,Btu/hr,,,
BLDG LOADS,Building cool load from roof conduction,Btu/hr,,,
BLDG LOADS,Building cool load from window conduction,Btu/hr,,,
BLDG LOADS,Building cool load from solar radiation through windows,Btu/hr,,,
BLDG LOADS,Building cool sensible infiltration load,Btu/hr,,,
BLDG LOADS,Building cool load from conduction through int walls,Btu/hr,,,
BLDG LOADS,Bldg cool load from conduction through undergrnd walls and floors,Btu/hr,,,
BLDG LOADS,Building light cool load,Btu/hr,,,
BLDG LOADS,Building cool load from door conduction,Btu/hr,,,
BLDG LOADS,Building elec equip cool load (sensible),Btu/hr,,,
BLDG LOADS,Building source cool load (sensible),Btu/hr,,,
BLDG LOADS,Building people cool load (sensible),Btu/hr,,,
BLDG LOADS,Building people cool load (latent),Btu/hr,,,
BLDG LOADS,Building elec equip load cool (latent),Btu/hr,,,
BLDG LOADS,Building source cool load (latent),Btu/hr,,,
BLDG LOADS,Building infiltration cool load (latent),Btu/hr,,,
BLDG LOADS,Building elec total,Btu/hr,,,
BLDG LOADS,Building gas total,Btu/hr,,,
BLDG LOADS,Building hot water total,Btu/hr,,,
BLDG LOADS,Building equip elec total,Btu/hr,,,
BLDG LOADS,Building light elec total,Btu/hr,,,
BLDG LOADS,unused,Btu/hr,,,
BLDG LOADS,unused,Btu/hr,,,
BLDG LOADS,unused,Btu/hr,,,
BLDG LOADS,unused,Btu/hr,,,
SPACE,Quick wall conduction gain,Btu/hr,,,
SPACE,Quick roof conduction gain,Btu/hr,,,
SPACE,Window conduction gain,Btu/hr,,,
SPACE,Delayed wall conduction gain,Btu/hr,,,
SPACE,Delayed roof conduction gain,Btu/hr,,,
SPACE,Int wall conduction gain,Btu/hr,,,
SPACE,Underground floor conduction gain,Btu/hr,,,
SPACE,Underground wall conduction gain,Btu/hr,,,
SPACE,Door conduction gain,Btu/hr,,,
SPACE,Elec equip sensible gain,Btu/hr,,,
SPACE,Source sensible gain,Btu/hr,,,
SPACE,People sensible gain,Btu/hr,,,
SPACE,Task light gain,Btu/hr,,,
SPACE,Glass solar gain,Btu/hr,,,
SPACE,Light heat gain to return air,Btu/hr,,,
SPACE,Quick wall conduction load,Btu/hr,,,
SPACE,Quick roof conduction load,Btu/hr,,,
SPACE,Window conduction load,Btu/hr,,,
SPACE,Delayed wall conduction load,Btu/hr,,,
SPACE,Delayed roof conduction load,Btu/hr,,,
SPACE,Int wall conduction load,Btu/hr,,,
SPACE,Underground floor conduction load,Btu/hr,,,
SPACE,Underground wall conduction load,Btu/hr,,,
SPACE,Door conduction load,Btu/hr,,,
SPACE,Equip sensible load,Btu/hr,,,
SPACE,Source sensible load,Btu/hr,,,
SPACE,People sensible load,Btu/hr,,,
SPACE,People latent gain,Btu/hr,,,
SPACE,Equpment latent gain,Btu/hr,,,
SPACE,Source latent gain,Btu/hr,,,
SPACE,Infiltration latent gain,Btu/hr,,,
SPACE,Task light load,Btu/hr,,,
SPACE,Glass solar load,Btu/hr,,,
SPACE,Light heat gain to other space,Btu/hr,,,
SPACE,Light gain,Btu/hr,,,
SPACE,Light Load,Btu/hr,,,
SPACE,Infiltration sensible gain,Btu/hr,,,
SPACE,Elec load for space,Btu/hr,,,
SPACE,Infiltration flowrate (cfm),cfm,,,
SPACE,Sum of all weighted loads except infil and latent,cfm,,,
SPACE,Space conductance (Btu/hr-deg F),Btu/hr-deg F,,,
SPACE,Space sensible load,Btu/hr,,,
SPACE,Space latent load,Btu/hr,,,
SPACE,Space total load,Btu/hr,,,
SPACE,Space elec from lights,*,,,
SPACE,Space elec from equip,*,,,
SPACE,Space gas,*,,,
SPACE,Space hot water,*,,,
SPACE,Daylight illuminance at LIGHT-REF-POINT1 (footcandles),footcandles,,,
SPACE,Daylight illuminance at LIGHT-REF-POINT2 (footcandles),footcandles,,,
SPACE,Background luminance (footlamberts) for glare calculation at LIGHT-REF-POINT1,footlamberts,,,
SPACE,Background luminance (footlamberts) for glare calculation at LIGHT-REF-POINT2,footlamberts,,,
SPACE,Daylight glare index at LIGHT-REF-POINT1 calculated after window management,*,,,
SPACE,Daylight glare index at LIGHT-REF-POINT2 calculated after window management,*,,,
SPACE,Local Wind Speed,*,,,
EXT WALL,Total solar rad on wall after shading (Btu/Hr-Ft2),Btu/Hr-Ft2,,,
EXT WALL,Fraction of wall shaded from direct solar rad,*,,,
EXT WALL,Outside air film U-value,*,,,
EXT WALL,Pressure diff due to wind velocity & stack effect,*,,,
EXT WALL,Unweighted heat transfer from wall to space (Btu/hr),Btu/hr,,,
EXT WALL,Outside surface temp for delayed walls (Rankine),Rankine,,,
EXT WALL,Crack method air flow for wall (cfm),cfm,,,
EXT WALL,C2 - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,C3 - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,SUMXDT - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,SUMYDT - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,DT - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,XSXCMP - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,XSQCMP - Parameter to calc Q & T for delayed walls,*,,,
EXT WALL,Cosine between sun and the surface outward normal,*,,,
EXT WALL,Solar rad reflected from ground (Btu/hr-ft2),Btu/hr-ft2,,,
EXT WALL,Surface total solar radiation (Btu/hr-ft2),Btu/hr-ft2,,,
WINDOW,Net overall window U-value (Btu/hr-ft2-deg F),Btu/hr-ft2-deg F,,,
WINDOW,Direct rad transmission coeff (all panes in window),*,,,
WINDOW,Direct rad absorption coeff (outer pane(s)),*,,,
WINDOW,Net diffuse rad transmission coeff (all panes in window),*,,,
WINDOW,Diffuse radiation absorption coefficient (outer pane(s)),*,,,
WINDOW,Direct radiation absorption coefficient (inner pane(s)),*,,,
WINDOW,Diffuse radiation absorption coefficient (inner pane(s)),*,,,
WINDOW,Inward flowing frac of heat from solar rad absorbed by inner pane(s),frac,,,
WINDOW,Inward flowing frac of heat from solar rad absorbed by outer pane(s),frac,,,
WINDOW,Frac of window area shaded from direct solar rad (ext only),frac,,,
WINDOW,Dir and diff solar energy transm through glass (after shading) (Btu/hr-ft2),Btu/hr-ft2,,,
WINDOW,Dir and diff solar energy absorbed by glass (after shading) (Btu/hr-ft2),Btu/hr-ft2,,,
WINDOW,Heat gain by solar rad (after shading) (Btu/hr),Btu/hr,,,
WINDOW,Shading coefficient of glass,frac,,,
WINDOW,Conduction heat gain through window (Btu/hr),Btu/hr,,,
WINDOW,Value by which shading-coeff of glazing is multiplied when window is shaded,frac,,,
WINDOW,Transmitted dir solar gain threshold for activ of shading device (Btu/hr-ft2),Btu/hr-ft2,,,
WINDOW,Visible transmittance (at normal incidence) of glazing (excl. shading device),*,,,
WINDOW,Value by which visible trans of glazing is multiplied when window is shaded,*,,,
WINDOW,Daylight illum at LIGHT-REF-POINT1 with no shading (footcandles),footcandles,,,
WINDOW,Daylight illum at LIGHT-REF-POINT2 with no shading (footcandles),footcandles,,,
WINDOW,Daylight illum at LIGHT-REF-POINT1 with shading (footcandles),footcandles,,,
WINDOW,Daylight illum at LIGHT-REF-POINT2 with shading (footcandles),footcandles,,,
WINDOW,Fraction of blind coverage,*,,,
WINDOW,Blind slat angle,*,,,
WINDOW,Sum of Frame Conduction from Outside Solar + Convection,*,,,
WINDOW,Sum of Curb Conduction from Outside Solar + Convection,*,,,
DOOR,Outside air film U-value (Btu/hr-ft2-deg F),Btu/hr-ft2-deg F,,,
DOOR,Frac of door shaded from direct solar rad,-,,,
DOOR,Solar radiation on door (ft2-deg F),ft2-deg F,,,
DOOR,Outside surface temp (Rankine),Rankine,,,
DOOR,Heat flow through door (Btu/hr-ft2-deg F),Btu/hr-ft2-deg F,,,
DOOR,Crack method infiltration air flow (cfm),cfm,,,
GLOBAL,Clearness number,-,,,
GLOBAL,Ground temp (Rankine),Rankine,,,
GLOBAL,Outside wet-bulb temp (F),deg F,,,
GLOBAL,Outside dry-bulb temp (F),deg F,,,
GLOBAL,Atmospheric pressure,-,,,
GLOBAL,Cloud amount (0-10),-,,,
GLOBAL,Snow flag (1 = snowfall),frac,,,
GLOBAL,Rain flag (1 - rainfall),frac,,,
GLOBAL,Wind direction (0-15),frac,,,
GLOBAL,Humidity ratio (lb H20/lb air),lb H20/lb air,,,
GLOBAL,Air density (lb/ft3),lb/ft3,,,
GLOBAL,Specific enthalpy of air (Btu/lb),Btu/lb,,,
GLOBAL,Diffuse horiz solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Direct normal solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Total horiz solar rad (Btu/hr-ft2) (weather file),Btu/hr-ft2,,,
GLOBAL,Wind speed (knots),knots,,,
GLOBAL,Dew-point temp (F),deg F,,,
GLOBAL,Wind direction in radians (clockwise from North),radians,,,
GLOBAL,Cloud cover multiplier (0-1),frac,,,
GLOBAL,Clear day direct normal solar rad x CLDCOV (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Clear day diffuse horiz solar rad x CLDCOV (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Heat loss by horizontal ext wall to sky,-,,,
GLOBAL,Drybulb temp (Rankine),Rankine,,,
GLOBAL,Hour angle of sunrise for the day (radians),radians,,,
GLOBAL,Current hour angle (radians),radians,,,
GLOBAL,Tangent of solar declination angle,-,,,
GLOBAL,Value of the solar equation of time (hr),hr,,,
GLOBAL,Direct normal extraterrestrial solar rad (Btu/hr-ft2),Btu/hr-ft2,,,
GLOBAL,Atmospheric extinction coefficient,-,,,
GLOBAL,Sky diffusivity factor,-,,,
GLOBAL,Solar direction cosine (x),cos,,,
GLOBAL,Solar direction cosine (y),cos,,,
GLOBAL,Solar direction cosine (z),cos,,,
GLOBAL,Direct normal solar rad intensity on clear day (Btu/hr-ft2) (calculated),Btu/hr-ft2,,,
GLOBAL,Diffuse horiz solar rad intensity on a clear day (Btu/hr-ft2) (calculated),Btu/hr-ft2,,,
GLOBAL,Year,-,,,
GLOBAL,Month,-,,,
GLOBAL,Day,-,,,
GLOBAL,Day of the year (1-365),-,,,
GLOBAL,Day of the week (1-7),-,,,
GLOBAL,Pressure caused by wind velocity (inches of water),inches of water,,,
GLOBAL,Atmospheric turbidity factor according to Angstrom,-,,,
GLOBAL,Atmospheric moisture (inches in precipitable water),inches in precipitable water,,,
GLOBAL,Solar attitude (degrees above horizontal),deg,,,
GLOBAL,Solar azimuth (degrees) (measured clockwise from North),deg,,,
GLOBAL,Cloudiness factor (0 for overcast sky to 1.0 for clear sky),-,,,
GLOBAL,Ext horizontal illuminance from clear part of sky (footcandles),footcandles,,,
GLOBAL,Ext horizontal illuminance from overcast part of sky (footcandles),footcandles,,,
GLOBAL,Ext horizontal illuminance from direct sun (footcandles),footcandles,,,
GLOBAL,Ratio of ext horiz illum calc from measured insolation vs. CIE sky lumin,-,,,
GLOBAL,Luminance efficacy of direct solar radiation (lumens/watt),lumens/watt,,,
GLOBAL,Luminance efficacy of diffuse solar from clear part of sky (lumens/watt),lumens/watt,,,
GLOBAL,Luminance efficacy of diffuse solar from overcast part of sky (lumens/watt),lumens/watt,,,
ZONE,Load Calc'd SPACE Latent load at const temp excluding infil (Btu/hr),Btu/hr,,,
ZONE,Load Calc'd SPACE Sensible load at const temp (Btu/hr),Btu/hr,,,
ZONE,Load Calc'd SPACE Zone elec load (kW),kW,,,
ZONE,Load Calc'd SPACE Light heat to return air (Btu/hr),Btu/hr,,,
ZONE,Outdoor air infiltration rate (cfm),cfm,,,
ZONE,Current hour zone temp (deg F),deg F,,,
ZONE,Current hour zone thermostat setting (deg F),deg F,,,
ZONE,Current hour heat extraction rate (Btu/hr),Btu/hr,,,
ZONE,Sum of ext & int wall thermal conductances (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,Unused,-,,,
ZONE,Exhaust air flow rate (cfm),cfm,,,
ZONE,Hot air flow rate (cfm),cfm,,,
ZONE,Cold air flow rate (cfm),cfm,,,
ZONE,Zone supply air flow rate (cfm),cfm,,,
ZONE,Baseboard heat output to zone (Btu/hr),Btu/hr,,,
ZONE,Amount of unmet heating/cooling to hold set point (Btu/hr),Btu/hr,,,
ZONE,Thermostat set point for heat (deg F),deg F,,,
ZONE,Thermostat set point for cool (deg F),deg F,,,
ZONE,Max heat extraction rate (within thermostat band) (Btu/hr),Btu/hr,,,
ZONE,Min heat extraction rate (within thermostat band) (Btu/hr),Btu/hr,,,
ZONE,Trial zone temp (if no zone coil activity) (deg F),deg F,,,
ZONE,F in temp variation calculation (TEMDEV subroutine) (Btu/hr),Btu/hr,,,
ZONE,Contrib to the zone load due to conduction from adj zones (Btu/hr),Btu/hr,,,
ZONE,Air temp weighting factor G0 (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,Air temp weighting factor G1 (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,Air temp weighting factor G2 (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,Air temp weighting factor G3 (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,G0 + G1 + G2 + G3 (Btu/hr-deg F),Btu/hr-deg F,,,
ZONE,Portion of reheat load that would bring the sup temp to the zone temp (Btu/hr),Btu/hr,,,
ZONE,The average temp during this hour (deg F),deg F,,,
ZONE,Zone coil heat (Btu/hr),Btu/hr,,,
ZONE,Zone coil cool (Btu/hr),Btu/hr,,,
ZONE,ZONE unit - Supply temp (deg F),deg F,,,
ZONE,ZONE unit - Heating (Btu/hr),Btu/hr,,,
ZONE,ZONE unit - Cooling (Btu/hr),Btu/hr,,,
ZONE,ZONE unit - Fan energy (Btu/hr),Btu/hr,,,
ZONE,ZONE unit - Mixed air temp (deg F),deg F,,,
ZONE,ZONE unit - Return humidity ratio (WR) or coil leaving temp (TC),frac,,,
ZONE,ZONE unit - Mixed air humidity ratio (lb H20/lb dry air),lb H20/lb dry air,,,
ZONE,ZONE unit - Humidity ratio of air leaving cool coil (lb H20/lb dry air),lb H20/lb dry air,,,
ZONE,ZONE unit - Ratio of outside air to total supply air,-,,,
ZONE,ZONE unit - Latent load (Btu/hr),Btu/hr,,,
ZONE,ZONE unit - Cooling part load ratio,*,,,
ZONE,ZONE unit - Heating part load ratio,*,,,
ZONE,ZONE unit - Elec input ratio,*,,,
ZONE,ZONE unit - Zone wet-bulb temp (deg F),deg F,,,
ZONE,ZONE unit - Supp heat load for zone's heat pump this hr (Btu/hr),Btu/hr,,,
ZONE,Weighted plenum flowrate (cuft/min),cuft/min,,,
ZONE,Total zone elec (kW),kW,,,
ZONE,Minimum supply temp for zone (deg F),deg F,,,
ZONE,Maximum supply temp for zone (deg F),deg F,,,
ZONE,Throttling range (deg F),deg F,,,
ZONE,Total heat gain (unweighted) due to solar rad from adj sunspaces (Btu/hr),Btu/hr,,,
ZONE,Total solar load (weighted) through int windows from all adj sunspcs (Btu/hr),Btu/hr,,,
ZONE,Heat gain by conduction (unweighted) through int windows (Btu/hr),Btu/hr,,,
ZONE,Solar rad absorbed on the sunspace side of int walls (Btu/hr),Btu/hr,,,
ZONE,Heat gain by conduction (unweighted) through opaque part of int walls (Btu/hr),Btu/hr,,,
ZONE,Heat extraction from convection across int wall (Btu/hr),Btu/hr,,,
ZONE,Average airflow due to convection across int wall (cfm),cfm,,,
ZONE,Power of venting fan + fan moving air across int wall (KW),KW,,,
ZONE,Heat extraction due to venting (Btu/hr),Btu/hr,,,
ZONE,Flow through unit condenser (gal/min),gal/min,,,
ZONE,Zone Unit Condenser - Flow during unit heat (gal/min),gal/min,,,
ZONE,Zone Unit Condenser - Flow during unit cool (gal/min),gal/min,,,
ZONE,Zone Unit Condenser - Heat taken from loop (Btu/hr),Btu/hr,,,
ZONE,Zone Unit Condenser - Heat added to loop (Btu/hr),Btu/hr,,,
ZONE,Zone Unit Condenser - WSE FLOWFOR UNIT,*,,,
ZONE,Zone Unit Condenser - QC REJCTINTO WSE,*,,,
ZONE,ITEM 72,-,,,
ZONE,ITEM 73,-,,,
ZONE,ITEM 74,-,,,
ZONE,Zone Unit Condenser - WSE  CAPAIR,*,,,
ZONE,Zone Unit Condenser - WSE  CAPWTR,*,,,
ZONE,Zone Unit Condenser - WSE  MAX QC,*,,,
ZONE,Zone Unit Condenser - WSE  Q TRANSF,*,,,
ZONE,Zone Unit Condenser - WSE  DT  AIR,*,,,
ZONE,Zone Unit Condenser - WSE  DT  WTR,*,,,
ZONE,Zone Unit Condenser - WSE  XCHR EFF,*,,,
ZONE,Zone Unit Condenser - WSE  XCHR NTU,*,,,
ZONE,Zone Unit Condenser - WSE  XCHR UA,*,,,
ZONE,Zone Unit Condenser - WSE  Q MAX,*,,,
ZONE,Zone Unit Condenser - WSE    PLR,*,,,
ZONE,Zone Unit Condenser - WSE   A/W DT,*,,,
ZONE,Ice Rink convective sensible heat gain (Btu/hr),Btu/hr,,,
ZONE,Ice Rink convective latent heat gain (Btu/hr),Btu/hr,,,
ZONE,Ice Rink radiant gain from ceiling (Btu/hr),Btu/hr,,,
ZONE,Ice Rink radiant gain from lights (Btu/hr),Btu/hr,,,
ZONE,Ice Rink radiant gain from windows (Btu/hr),Btu/hr,,,
ZONE,Ice Rink heat gain from subfloor (Btu/hr),Btu/hr,,,
ZONE,Ice Rink heat gain from resurfacing (Btu/hr),Btu/hr,,,
ZONE,Ice Rink heat gain from skaters (Btu/hr),Btu/hr,,,
ZONE,Ice Rink gross unweighted heat gain (Btu/hr),Btu/hr,,,
ZONE,Ice Rink net weighted heat gain (Btu/hr),Btu/hr,,,
ZONE,Ice Rink ceiling surface temperature,deg F,,,
ZONE,Ice Rink effective ice temperature,deg F,,,
ZONE,Ice Rink surface humidity ratio (lb/lb),lb/lb,,,
ZONE,Hourly zone OA CFM requirement for DCV calculation (cfm),cfm,,,
ZONE,Hourly zone OA / total flow for DCV calculation (cfm/cfm),cfm/cfm,,,
SYSTEM,Temp of air leaving heat coil - hot deck temp (deg F),deg F,,,
SYSTEM,Temp of air leaving cool coil - cold deck temp (deg F),deg F,,,
SYSTEM,Temp of air entering coil (deg F),deg F,,,
SYSTEM,Return air temp on downstream side of ret fan and plenums (deg F),deg F,,,
SYSTEM,Total central heat coil output (Btu/hr),Btu/hr,,,
SYSTEM,Total central cool coil output (Btu/hr),Btu/hr,,,
SYSTEM,Total zone heat coil output (Btu/hr),Btu/hr,,,
SYSTEM,Total zone cool coil output (Btu/hr),Btu/hr,,,
SYSTEM,Total baseboard heat coil output (Btu/hr),Btu/hr,,,
SYSTEM,Total preheat coil output (Btu/hr),Btu/hr,,,
SYSTEM,Humidification heat output (Btu/hr),Btu/hr,,,
SYSTEM,Dehumidification reheat heat output (Btu/hr),Btu/hr,,,
SYSTEM,Minimum temp air handler could supply (deg F),deg F,,,
SYSTEM,Maximum  temp air handler could supply (deg F),deg F,,,
SYSTEM,Total SPACE latent heat load from LOADS (Btu/hr),Btu/hr,,,
SYSTEM,Total SPACE light heat to return (Btu/hr),Btu/hr,,,
SYSTEM,Total system supply air flow rate (cfm),cfm,,,
SYSTEM,Total system hot supply air flow rate (cfm) (DDS/MZS/PMZS),cfm,,,
SYSTEM,Total system cold supply air flow rate (cfm) (DDS/MZS/PMZS),cfm,,,
SYSTEM,Total system return air flow rate (cfm),cfm,,,
SYSTEM,Total ZONE exhaust air flow rate (cfm),cfm,,,
SYSTEM,Outside air infiltration rate (cfm),cfm,,,
SYSTEM,Baseboard heater ratio from RESET-SCHEDULE,-,,,
SYSTEM,CONS(1) In equation Q = CONS(1) * CFM * delta T CONS(1) = .24 at std cond,-,,,
SYSTEM,CONS(3) In equation CONS(3) = .3996/CONS(1) = .363 at std cond,-,,,
SYSTEM,Ratio of hot duct cfm to total cfm (dual duct only),ratio,,,
SYSTEM,Ratio of cold duct cfm to total cfm (dual duct only),ratio,,,
SYSTEM,Total SYSTEM (and its ZONEs) elec consump (kW),kW,,,
SYSTEM,Makeup air temp obtainable from recovery sys (deg F),deg F,,,
SYSTEM,Return air humidity ratio (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Mix air humidity ratio (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Humidity ratio of air leaving cool coil (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Moisture added or removed from air for (de)humidification (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Ratio of outside air to total supply air,-,,,
SYSTEM,Density of air at coil x 60 min/hr (lb/ft3 x min/hr),lb/ft3 x min/hr,,,
SYSTEM,Temp of circulating fluid for HP system (deg F),deg F,,,
SYSTEM,Effect of controller on cool coil set point (deg F),deg F,,,
SYSTEM,Adjusted capacity of air-to-air heat pump (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - condenser fans and pump elec (kW),kW,,,
SYSTEM,Total fuel for heating (Btu/hr),Btu/hr,,,
SYSTEM,Elec input to heat (kW),kW,,,
SYSTEM,Elec input to cool (kW),kW,,,
SYSTEM,Latent part of total cool (Btu/hr),Btu/hr,,,
SYSTEM,Supply fan elec (kW),kW,,,
SYSTEM,Return fan elec (kW),kW,,,
SYSTEM,Humidity ratio at saturation at coil surface temp,-,,,
SYSTEM,unused,-,,,
SYSTEM,Coil surface temp at supply set point (deg F),deg F,,,
SYSTEM,Dual Duct - Temperature entering hot deck heating coil,-,,,
SYSTEM,Coil bypass factor:  (COIL-BF) * CBF1 * CBF2,-,,,
SYSTEM,Temp correction to COIL-BF,*,,,
SYSTEM,Cfm correction to COIL-BF,*,,,
SYSTEM,(Current hour cfm)/(design cfm),cfm,,,
SYSTEM,Capacity part load ratio for cool,-,,,
SYSTEM,Capacity part load ratio for heat,-,,,
SYSTEM,Temp correction to COOLING-CAPACITY,*,,,
SYSTEM,Temp correction to COOL-SH-CAP,*,,,
SYSTEM,Temp correction to HEATING-CAPACITY,*,,,
SYSTEM,Temp correction to COOLING-EIR,*,,,
SYSTEM,Part load correction to COOLING-EIR,*,,,
SYSTEM,Operating EIR (COOLING-EIR*EIRM1*EIRM2) (Btu/Btu),frac,,,
SYSTEM,Outside fan power (kW),kW,,,
SYSTEM,Total cool capacity (Btu/hr),Btu/hr,,,
SYSTEM,Sensible cool capacity (Btu/hr),Btu/hr,,,
SYSTEM,Maximum humidity set point (lbs water/lbs air),lbs water/lbs air,,,
SYSTEM,Minimum humidity set point (lbs water/lbs air),lbs water/lbs air,,,
SYSTEM,Max ratio of zone cfm that can be obtained this hour,*,,,
SYSTEM,DUCT heat gain,*,,,
SYSTEM,DUCT heat loss,*,,,
SYSTEM,The total heat capacity (Btu/hr),Btu/hr,,,
SYSTEM,The mixed air temp for min OA damper position (deg F),deg F,,,
SYSTEM,The minimum OA damper position (deg F),deg F,,,
SYSTEM,Total heat pump supplemental heat load (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - Sensible heat gain to zone from casework (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - Latent heat gain to zone from casework (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - recovered condenser heat used for space heat (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - rejected from condenser (Btu/hr),Btu/hr,,,
SYSTEM,Refrig - Elec consumed by compressors (kW),kW,,,
SYSTEM,Refrig - Elec consumed by defrosters (kW),kW,,,
SYSTEM,Plenum exhaust flow rate (cfm),cfm,,,
SYSTEM,Desiccant - Gas used for cool (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Regeneration energy (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Return air wet bulb temp (deg F),deg F,,,
SYSTEM,Desiccant - Wet bulb entering direct evaporative cooler (deg F),deg F,,,
SYSTEM,Desiccant - Dry bulb entering direct evaporative cooler (deg F),deg F,,,
SYSTEM,Desiccant - Humidity ratio entering direct evaporative cooler (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Desiccant - Supply air wet bulb (deg F),deg F,,,
SYSTEM,Desiccant - Supply air dry bulb (deg F),deg F,,,
SYSTEM,Desiccant - Supply air humidity ratio (lb H20/lb dry air),lb H20/lb dry air,,,
SYSTEM,Desiccant - Direct evaporative cooler effectiveness,*,,,
SYSTEM,Desiccant - Fraction of hour on,-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Operating mode flag (for debugging only),-,,,
SYSTEM,Desiccant - Maximum extraction rate mode 4,-,,,
SYSTEM,Desiccant - Maximum extraction rate mode 5,-,,,
SYSTEM,Desiccant - Maximum extraction rate mode 6,-,,,
SYSTEM,Desiccant - Operating mode,-,,,
SYSTEM,Desiccant - Drybulb temp of air leaving desic or evap supp cool unit (deg F),deg F,,,
SYSTEM,Desiccant - Humidity ratio of air leaving desic or evap supp cool unit (ld H2O/lb air),ld H2O/lb air,,,
SYSTEM,Desiccant - Gas used to desiccate the air for integrated units (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Aux elec used by the integrated desiccant unit (kW),kW,,,
SYSTEM,Desiccant - Temp of water sent to condenser (deg F),deg F,,,
SYSTEM,Desiccant - Total cool done by desiccant unit (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Sensible cool done by desiccant unit (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Latent cool done by desiccant unit (Btu/hr),Btu/hr,,,
SYSTEM,Desiccant - Ratio of air flowing through supp desic or evap unit to total supply air,-,,,
SYSTEM,Evap Cool - Aux elec used by the supp evaporative cooler (kW),kW,,,
SYSTEM,Evap Cool - Total cool done by evap cool unit (Btu/hr),Btu/hr,,,
SYSTEM,Evap Cool - Sensible cool done by evap cool unit (Btu/hr),Btu/hr,,,
SYSTEM,Evap Cool - Latent cool done by evap cool unit (Btu/hr),Btu/hr,,,
SYSTEM,Heat pump defrost energy (Btu),Btu/hr,,,
SYSTEM,Log mean temperature of air in main/cold duct (deg F),deg F,,,
SYSTEM,Log mean temperature of air in hot duct (dual duct) (deg F),deg F,,,
SYSTEM,Temperature of air surrounding duct (deg F),deg F,,,
SYSTEM,Wtr Cool Cond - Condenser water flow (gal/min),gal/min,,,
SYSTEM,Wtr Cool Cond - Condenser flow for heat (gal/min),gal/min,,,
SYSTEM,Wtr Cool Cond - Condenser flow for cool (gal/min),gal/min,,,
SYSTEM,Wtr Cool Cond - Heat taken from loop (Btu/hr),Btu/hr,,,
SYSTEM,Wtr Cool Cond - Heat added to loop (Btu/hr),Btu/hr,,,
SYSTEM,Water-side economizer flow for cool (gal/min),gal/min,,,
SYSTEM,Water-side economizer heat added to loop (gal/min),gal/min,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Heat cap of water-side economizer (Btu/hr-deg F),Btu/hr-deg F,,,
SYSTEM,Heat cap of air-side economizer (Btu/hr-deg F),Btu/hr-deg F,,,
SYSTEM,Max possible water-side economizer exchange (Btu/hr),Btu/hr,,,
SYSTEM,Actual water-side economizer exchange (Btu/hr),Btu/hr,,,
SYSTEM,Temp change of air (deg F),deg F,,,
SYSTEM,Temp change of water (deg F),deg F,,,
SYSTEM,Water-side economizer heat-exchanger effectiveness,-,,,
SYSTEM,WSE  XCHR NTU,-,,,
SYSTEM,WSE  XCHR UA,-,,,
SYSTEM,WSE  Q MAX,-,,,
SYSTEM,Fraction of water-side economizer max flow used,-,,,
SYSTEM,Air/water temp difference,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Compressor Part-Load Ratio CC,-,,,
SYSTEM,SS-Q Cool mode: Run time of compressor (hours),hr,,,
SYSTEM,SS-Q Cool mode: Output of unit (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Gas consumed by unit (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Fans / pumps / aux energy (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Unmet cool load (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Unused,-,,,
SYSTEM,SS-Q Cool mode: Waste heat generated (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Waste heat used (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Cool mode: Unused,-,,,
SYSTEM,SS-Q Cool mode: Indoor fan energy (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Run time of compressor (hours),hr,,,
SYSTEM,SS-Q Heat mode: Output of unit (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Gas consumed by unit (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Fans / pumps / aux energy (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Load on supp heat (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Energy input to supp heat (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Waste heat generated (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Waste heat used (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Defrost imposed heat (Btu/hr),Btu/hr,,,
SYSTEM,SS-Q Heat mode: Indoor fan energy (Btu/hr),Btu/hr,,,
SYSTEM,VS&GAS HP - Value of COIL-BF-FPLR used this hour,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,VS&GAS HP - Value of COOL-EIR-FRPMT used this hour,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Value of COOL-WH-FT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of COOL-WH-FRPMT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of COOL-CFM-FPLR used this hour,-,,,
SYSTEM,Value of OUTSIDE-FAN-CFLT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of HEAT-EIR-FRPMT used this hour,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Value of HEAT-WH-FT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of HEAT-WH-FRPMT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of HEAT-CFM-FPLR used this hour,-,,,
SYSTEM,Value of OUTSIDE-FAN-HFLT used this hour,-,,,
SYSTEM,Value of HEAT-CLOSS-FPLR used this hour,-,,,
SYSTEM,Value of COOL-CLOSS-FPLR used this hour,-,,,
SYSTEM,Ratio of defrost/heat time (DEFROST-FRAC-FT),frac,,,
SYSTEM,Heat fraction for defrost (DEFROST-CAP-FT),frac,,,
SYSTEM,EIR in defrost mode (DEFROST-PWR-FT),frac,,,
SYSTEM,VS&GAS HP - Value of COOL-CAP-FRPMT used this hour,-,,,
SYSTEM,VS&GAS HP - Value of HEAT-CAP-FRPMT used this hour,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Unused,-,,,
SYSTEM,Dual Duct Heat Wipe,-,,,
SYSTEM,ISZCZ - Single Zone SYSTEM control zone flag,-,,,
SYSTEM,VS&GAS HP - Capacity at max RPM (Btu/hr),Btu/hr,,,
SYSTEM,VS&GAS HP - Capacity at min RPM (Btu/hr),Btu/hr,,,
SYSTEM,VS&GAS HP - Enetering mixed air temp (deg F),deg F,,,
SYSTEM,VS&GAS HP - Gas used in defrost mode (Btu/hr),Btu/hr,,,
SYSTEM,VS&GAS HP - Speed of compressor (RPM),RPM,,,
SYSTEM,PLRSUP - PLR of supplemental heat unit,-,,,
SYSTEM,CFMCYC - Fraction of hours indoor fans cycle on,-,,,
SYSTEM,CLPLR - Compressor cycling loss PLR,-,,,
SYSTEM,CFMVVT - Fraction of design flow by control zone,-,,,
SYSTEM,Zone coil load for Gas HP,-,,,
SYSTEM,Condenser entering temp (evap pcc exit T) (deg F),deg F,,,
SYSTEM,Dual Fan DD - Heat fan on/off flag,-,,,
SYSTEM,Dual Fan DD - Heat fan elec consump,-,,,
SYSTEM,Dual Fan DD - Heat fan delta T,-,,,
SYSTEM,Dual Fan DD - Heat fan max flow ratio,-,,,
SYSTEM,Dual Fan DD - Heat fan night cycle flag,-,,,
SYSTEM,Dual Fan DD - Return CFM to mixed air plenum,-,,,
SYSTEM,Airflow through return/relief fan,-,,,
SYSTEM,Exfiltration due to fan pressure,-,,,
SYSTEM,Temp rise in supply (cold for DDS) duct,deg F,,,
SYSTEM,Temp rise in hot supply duct,-,,,
SYSTEM,Supply duct (cold for DDS) temp to diffusers,deg F,,,
SYSTEM,Hot Duct temp to diffusers,-,,,
SYSTEM,Refrig - <QRNOW> sum of zone gain from cases,*,,,
SYSTEM,Refrig - <QCNOW> sum of case conductances,*,,,
SYSTEM,Refrig - QR for T1,*,,,
SYSTEM,Refrig - QR for T2,*,,,
SYSTEM,Refrig - QR for T3,*,,,
SYSTEM,Refrig - Case load schedule val T1,*,,,
SYSTEM,Refrig - Case load schedule val T2,*,,,
SYSTEM,Refrig - Case load schedule val T3,*,,,
SYSTEM,Refrig - Aux schedule val T1,*,,,
SYSTEM,Refrig - Aux schedule val T2,*,,,
SYSTEM,Refrig - Aux schedule val T3,*,,,
SYSTEM,Refrig - QS for T1,*,,,
SYSTEM,Refrig - QS for T2,*,,,
SYSTEM,Refrig - QS for T3,*,,,
SYSTEM,Refrig - QL for T1,*,,,
SYSTEM,Refrig - QL for T2,*,,,
SYSTEM,Refrig - QL for T3,*,,,
SYSTEM,Refrig - Defrosting load for T1,*,,,
SYSTEM,Refrig - Defrosting load for T2,*,,,
SYSTEM,Refrig - Defrosting load for T3,*,,,
SYSTEM,Refrig - Anti-sweat power for T1,*,,,
SYSTEM,Refrig - Anti-sweat power for T2,*,,,
SYSTEM,Refrig - Anti-sweat power for T3,*,,,
SYSTEM,Refrig - Comp power (stage 0/1 HtRec) T1,*,,,
SYSTEM,Refrig - Comp power (stage 0/1 HtRec) T2,*,,,
SYSTEM,Refrig - Comp power (stage 0/1 HtRec) T3,*,,,
SYSTEM,Refrig - Comp power (stage 2 HtRec) T1,*,,,
SYSTEM,Refrig - Comp power (stage 2 HtRec) T2,*,,,
SYSTEM,Refrig - Comp power (stage 2 HtRec) T3,*,,,
SYSTEM,Refrig - Recov Heat (stage 1) T3,*,,,
SYSTEM,Refrig - Recov Heat (stage 1) T2,*,,,
SYSTEM,Refrig - Recov Heat (stage 1) T3,*,,,
SYSTEM,Refrig - Recov Heat (stage 2) T1,*,,,
SYSTEM,Refrig - Recov Heat (stage 2) T2,*,,,
SYSTEM,Refrig - Recov Heat (stage 2) T3,*,,,
SYSTEM,Refrig - Rejected heat (stage 0/1 HtRec) T1,*,,,
SYSTEM,Refrig - Rejected heat (stage 0/1 HtRec) T2,*,,,
SYSTEM,Refrig - Rejected heat (stage 0/1 HtRec) T3,*,,,
SYSTEM,Refrig - Rejected heat (stage 2 HtRec) T1,*,,,
SYSTEM,Refrig - Rejected heat (stage 2 HtRec) T2,*,,,
SYSTEM,Refrig - Rejected heat (stage 2 HtRec) T3,*,,,
SYSTEM,Refrig - Condensing temp,*,,,
SYSTEM,Refrig - Compressor PLR for T1,*,,,
SYSTEM,Refrig - Compressor PLR for T2,*,,,
SYSTEM,Refrig - Compressor PLR for T3,*,,,
SYSTEM,Refrig - Sum Rejected Heat (stage 0/1),*,,,
SYSTEM,Refrig - Sum Rejected Heat (stage 2),*,,,
SYSTEM,Refrig - Sum HtRec (stage 1),*,,,
SYSTEM,Refrig - Sum HtRec (stage 2),*,,,
SYSTEM,Refrig - Comp EIR F(T) for T1,*,,,
SYSTEM,Refrig - Comp EIR F(T) for T2,*,,,
SYSTEM,Refrig - Comp EIR F(T) for T3,*,,,
SYSTEM,Refrig - Comp EIR F(T) (w/holdback) for T1,*,,,
SYSTEM,Refrig - Comp EIR F(T) (w/holdback) for T2,*,,,
SYSTEM,Refrig - Comp EIR F(T) (w/holdback) for T3,*,,,
SYSTEM,Refrig - Comp EIR f(PLR) for T1,*,,,
SYSTEM,Refrig - Comp EIR f(PLR) for T2,*,,,
SYSTEM,Refrig - Comp EIR f(PLR) for T3,*,,,
SYSTEM,Refrig - Wtr cooled Cond flow,*,,,
SYSTEM,Refrig - Fraction w/no Ht Recov,*,,,
SYSTEM,Refrig - Fraction with Ht Recov,*,,,
SYSTEM,Refrig - Condenser Capacity,*,,,
SYSTEM,Refrig - Condenser PLR,*,,,
SYSTEM,Refrig - Condenser float T,*,,,
SYSTEM,Refrig - EIR3 condenser active frac f(t),*,,,
SYSTEM,ERV Outdoor airflow (CFM),cfm,,,
SYSTEM,ERV Exhaust airflow (CFM),cfm,,,
SYSTEM,ERV Sensible effectiveness,-,,,
SYSTEM,ERV Latent effectiveness,-,,,
SYSTEM,ERV Sensible heat transfer (heating of OA is negative),Btu/hr,,,
SYSTEM,ERV Latent heat transfer (moisture gain of OA is negative),Btu/hr,,,
SYSTEM,ERV Excess heat transfer (heating of OA is negative),Btu/hr,,,
SYSTEM,ERV Excess coolth transfer (cooling of OA is positive),Btu/hr,,,
SYSTEM,ERV required leaving temperature to maintain mixed-air setpoint (deg F),deg F,,,
SYSTEM,ERV Temperature setpoint for air supply to mixed air plenum (deg F),deg F,,,
SYSTEM,ERV Outdoor air temperature leaving HX (to mixed air plenum) (deg F),deg F,,,
SYSTEM,ERV Exhaust air temperature leaving HX (to outdoors) (deg F),deg F,,,
SYSTEM,ERV Outdoor air humidity ratio entering HX,-,,,
SYSTEM,ERV Outdoor air humidity ratio leaving HX (to mixed air plenum),-,,,
SYSTEM,ERV Exhaust air humidity ratio entering HX,-,,,
SYSTEM,ERV Exhaust air humidity ratio leaving HX (to outdoors),-,,,
SYSTEM,ERV Capacity modulation of HX (frac or mult),frac,,,
SYSTEM,ERV Fraction of OA bypassed around HX (frac or mult),frac,,,
SYSTEM,ERV Fraction of OA thru economizer to maintain setpoint (frac or mult),frac,,,
SYSTEM,ERV Power of integral fans (kWh),kWh,,,
SYSTEM,ERV Power of HX (heat wheel motor) (kWh),kWh,,,
SYSTEM,ERV Power of preheat coil (kWh),kWh,,,
SYSTEM,ERV HW load of preheat coil (Btu/hr),Btu/hr,,,
SYSTEM,ERV flag indicating that exhaust air is at dewpoint within HX,-,,,
SYSTEM,ERV flag indicating that outside air is at dewpoint within HX,-,,,
SYSTEM,Hourly summed zone OA CFM for DCV calculation (cfm),cfm,,,
SYSTEM,Hourly max zone OA / total flow for DCV calculation (cfm/cfm),cfm/cfm,,,
BLDG HVAC,Building cool load (coils+losses&gains) (Btu/hr),Btu/hr,,,
BLDG HVAC,Building heat load (coils+losses&gains) (Btu/hr),Btu/hr,,,
BLDG HVAC,Building elec load (kW),kW,,,
BLDG HVAC,Building heating fuel use (Btu/hr),Btu/hr,,,
BLDG HVAC,Building elec used for heat (kW),kW,,,
BLDG HVAC,Building elec used for cool (kW),kW,,,
BLDG HVAC,Building elec used for fans (kW),kW,,,
BLDG HVAC,Unused,-,,,
BLDG HVAC,Building cooling fuel use (Btu/hr),Btu/hr,,,
BLDG HVAC,Unused,-,,,
PUMP,Flow,gpm,,,
PUMP,Electricity used,kWh,,,
PUMP,Number operating,-,,,
PUMP,Speed ratio,-,,,
PUMP,Fraction of hour pump runs,-,,,
PUMP,Head output requested by loop,*,,,
PUMP,Actual head,*,,,
PUMP,Friction head of attached loop or equipment,*,,,
PUMP,Static head of attached loop or equipment,*,,,
PUMP,Ratio of requested head to design head,-,,,
PUMP,Ratio of requested flow to maximum flow at requested head,-,,,
PUMP,Maximum flow the pump can move at the requested head,gpm,,,
PUMP,RPM ratio raised to the PUMP-POWER-EXP,-,,,
PUMP,Ratio = (Actual flow / Maximum Flow) / (Actual Speed / Design Speed),-,,,
PUMP,Ratio of actual horsepower to nominal horsepower at current speed ratio,-,,,
PUMP,Heat gain of fluid thru pump,-,,,
PUMP,Temperature rise of fluid thru pump,deg F,,,
PUMP,Loss in variable-frequency drive (kW),kW,,,
CIRC LOOP,Heating coil load on loop,Btu/hr,,,
CIRC LOOP,Cooling coil load on loop,Btu/hr,,,
CIRC LOOP,Secondary loop load on primary loop (for primary loops only),Btu/hr,,,
CIRC LOOP,Primary plant equipment load on loop (such as absorption chiller heating load),Btu/hr,,,
CIRC LOOP,Loop load due to loop temperature change,Btu/hr,,,
CIRC LOOP,Temperature of loop's environment used to calculate thermal losses,deg F,,,
CIRC LOOP,Control setpoint temperature,deg F,,,
CIRC LOOP,Actual supply temperature,deg F,,,
CIRC LOOP,Temperature entering coils or secondary loops after supply-side thermal loss,deg F,,,
CIRC LOOP,Temperature returning to plant after return-side thermal loss,deg F,,,
CIRC LOOP,Average temperature for entire loop last hour,deg F,,,
CIRC LOOP,End of hour temperature the loop would become if floating (no active heating or cooling),deg F,,,
CIRC LOOP,Total head on loop - valid only when pump attached to loop,ft,,,
CIRC LOOP,Loop heat gain for all pumps on loop,*,,,
CIRC LOOP,Temperature rise of all pumps on loop,*,,,
CIRC LOOP,Secondary loop friction imposed on primary,*,,,
CIRC LOOP,Accumulated overload (generated this hour and accumulated from previous hours),*,,,
CIRC LOOP,Loop heat gain for pumps attached to equipment on this loop,*,,,
CIRC LOOP,Temperature rise for all pumps attached to equipment on this loop,*,,,
CIRC LOOP,Friction due to loop piping,*,,,
CIRC LOOP,Design flow thru all primary plant equipment active this hour,gpm,,,
CIRC LOOP,Part load flow ratio for loop,-,,,
CIRC LOOP,Maximum available capacity of all primary equipment attached to loop,*,,,
CIRC LOOP,Ratio of loop load to maximum available capacity of all primary equipment,-,,,
CIRC LOOP,Total flow of all secondary loops attached to this primary loop,gpm,,,
CIRC LOOP,Recovered heat or free cooling heat applied to this loop,*,,,
CIRC LOOP,Loop return temperature after heat recovery or free cooling,deg F,,,
CIRC LOOP,WLHP loop temperature change due to overloaded condition,*,,,
CIRC LOOP,WLHP and CW loop estimated supply temperature at beginning of hour,*,,,
CIRC LOOP,Loop process load,*,,,
CIRC LOOP,Domestic water loop inlet temperature (makeup),*,,,
CIRC LOOP,New overload generated this hour,*,,,
CHILLER,Assigned load,Btu/hr,,,
CHILLER,Hot gas bypass load (compression chillers only),Btu/hr,,,
CHILLER,Operating capacity at current conditions,*,,,
CHILLER,Fraction of hour equipment operates,*,,,
CHILLER,Leaving supply temperature,deg F,,,
CHILLER,Entering condenser temperature,deg F,,,
CHILLER,Correction to electric-input-ratio for PLR,*,,,
CHILLER,Correction to electric-input-ratio for temperature,*,,,
CHILLER,Corrected electric-input-ratio,*,,,
CHILLER,Electrical power consumed,*,,,
CHILLER,Electrical power consumption of air-cooled condenser,*,,,
CHILLER,Auxiliary electrical power consumption,*,,,
CHILLER,Correction to heat-input-ratio for PLR,-,,,
CHILLER,Correction to heat-input-ratio for temperature,-,,,
CHILLER,Corrected heat-input-ratio,-,,,
CHILLER,Fuel or thermal energy consumed,*,,,
CHILLER,Heat rejected to condenser,*,,,
CHILLER,Heat recovered,*,,,
CHILLER,Hot water flow,gpm,,,
CHILLER,Hot water head,*,,,
CHILLER,Chilled water flow,gpm,,,
CHILLER,Chilled water head,*,,,
CHILLER,Condenser water flow,gpm,,,
CHILLER,Condenser water head,*,,,
CHILLER,Heat recovery flow,gpm,,,
CHILLER,Heat recovery head,*,,,
CHILLER,Startup load,*,,,
BOILER,Assigned load,*,,,
BOILER,Equipment operating point,*,,,
BOILER,Operating capacity at current conditions,*,,,
BOILER,Fraction of hour equipment operates,*,,,
BOILER,Leaving supply temperature,deg F,,,
BOILER,Environmental temperature,deg F,,,
BOILER,Correction to electric-input-ratio for PLR,-,,,
BOILER,Corrected electric-input-ratio,-,,,
BOILER,Electrical power consumed,*,,,
BOILER,Auxiliary electrical power consumption,*,,,
BOILER,Correction to heat-input-ratio for PLR,-,,,
BOILER,Correction to heat-input-ratio for temperature,-,,,
BOILER,Corrected heat-input-ratio,-,,,
BOILER,Fuel energy consumed,*,,,
BOILER,Startup load,*,,,
DHW HEATER,Assigned load,*,,,
DHW HEATER,Equipment operating point,*,,,
DHW HEATER,Operating capacity at current conditions,*,,,
DHW HEATER,Fraction of hour equipment operates,-,,,
DHW HEATER,Leaving supply temperature,*,,,
DHW HEATER,Environmental temperature,*,,,
DHW HEATER,Correction to electric-input-ratio for PLR,*,,,
DHW HEATER,Correction to electric-input-ratio for temperature,*,,,
DHW HEATER,Corrected electric-input-ratio,*,,,
DHW HEATER,Electrical power consumed,*,,,
DHW HEATER,Auxiliary electrical power consumption,*,,,
DHW HEATER,Correction to heat-input-ratio for PLR,*,,,
DHW HEATER,Correction to heat-input-ratio for temperature,*,,,
DHW HEATER,Corrected heat-input-ratio,*,,,
DHW HEATER,Fuel or thermal energy consumed,*,,,
HEAT REJECTION,Load on tower from circulation-loop,*,,,
HEAT REJECTION,Maximum thermal load on tower given current conditions,*,,,
HEAT REJECTION,Condenser loop flow allocated to this tower,gpm,,,
HEAT REJECTION,Actual tower flow - may be different than TWRgpm because of heat exchanger or run-around pump,gpm,,,
HEAT REJECTION,Trial temperature in calculations,deg F,,,
HEAT REJECTION,Temperature drop thru tower,deg F,,,
HEAT REJECTION,Ratio of actual flow/cell to flow at CTI rating conditions,-,,,
HEAT REJECTION,Actual flow capacity per cell,gpm,,,
HEAT REJECTION,Actual flow per cell,gpm,,,
HEAT REJECTION,Number of cells operating,-,,,
HEAT REJECTION,Minimum number of cells that could operate at current flow,-,,,
HEAT REJECTION,Maximum number of cells that could operate at current flow,-,,,
HEAT REJECTION,Temperature at top of throttling range,deg F,,,
HEAT REJECTION,Flow capacity at top of throtting range,gpm,,,
HEAT REJECTION,Temperature at bottom of throtting range,deg F,,,
HEAT REJECTION,Flow capacity at bottom of throtting range,gpm,,,
HEAT REJECTION,Fraction of design fan power consumed,*,,,
HEAT REJECTION,Fan electrical power,*,,,
HEAT REJECTION,Auxiliary electrical power (kW),kW,,,
HEAT REJECTION,Pan Heat Loss,*,,,
HEAT REJECTION,Spray Pump,*,,,
HEAT REJECTION,Condenser water temperature at beginning of hour,deg F,,,
PV MODULE,DC power output (kW),kW,,,
PV MODULE,Voltage at maximum power point (Volts),Volts,,,
PV MODULE,Current at maximum power point (Amps),Amps,,,
PV MODULE,Total horizontal solar radiation (W/m2),W/m2,,,
PV MODULE,Direct beam radiation on module surface (W/m2),W/m2,,,
PV MODULE,Diffuse radiation on module surface (W/m2),W/m2,,,
PV MODULE,Ground reflected radiation on module surface (W/m2),W/m2,,,
PV MODULE,Angle of incidence optical correction factor (ratio),ratio,,,
PV MODULE,Air mass spectral correction factor (ratio),ratio,,,
PV MODULE,Plane-of-array irradiation (W/m2),W/m2,,,
PV MODULE,Ratio of plant-of-array irradiation to reference irradiation (suns),suns,,,
PV MODULE,Internal cell temperature (deg C),deg F,,,
GENERATOR,Assigned load,*,,,
GENERATOR,Operating capacity at current conditions,*,,,
GENERATOR,Fraction of hour this equipment ran,-,,,
GENERATOR,EIR correction as function of PLR (PV-array),frac,,,
GENERATOR,Electric input ratio (EIR) (PV-array),frac,,,
GENERATOR,Direct-current power input (PV-array),frac,,,
GENERATOR,Auxiliary electrical power consumption,*,,,
GENERATOR,Correction to heat-input-ratio for PLR,-,,,
GENERATOR,Correction to heat-input-ratio for temperature,-,,,
GENERATOR,Corrected heat-input-ratio,-,,,
GENERATOR,Fuel or thermal energy consumed,*,,,
GENERATOR,Heat recovered,*,,,
GENERATOR,Condenser water flow,gpm,,,
GENERATOR,Condenser water head,ft,,,
GENERATOR,Start-up load,*,,,
TES,Charge load,*,,,
TES,Discharge load,*,,,
TES,Tank loss,*,,,
TES,Heat required to prevent freezing,*,,,
TES,Tank heat content,*,,,
TES,Available capacity,*,,,
TES,Auxiliary electric,*,,,
TES,Environment temperature,*,,,
TES,Tank average temperature (fully mixed),deg F,,,
TES,Time required to fully charge,*,,,
TES,Hours until charging starts,*,,,
TES,Time charging,*,,,
TES,Time discharging,*,,,
TES,Stored kWh (consumed by equipment which charged tank),kWh,,,
TES,Stored fuel (consumed by equipment which charged tank),*,,,
ELEC-METER,Lighting end-use energy,kWh,,,
ELEC-METER,Task lighting end-use energy,kWh,,,
ELEC-METER,Miscellaneous equipment end-use energy,kWh,,,
ELEC-METER,Heating end-use energy,kWh,,,
ELEC-METER,Cooling end-use energy,kWh,,,
ELEC-METER,Heat rejection end-use energy,kWh,,,
ELEC-METER,Auxiliary end-use energy (pumps),kWh,,,
ELEC-METER,Vent fan end-use energy,kWh,,,
ELEC-METER,Refrigeration systems end-use energy,kWh,,,
ELEC-METER,Supplemental heat pump end-use energy,kWh,,,
ELEC-METER,Domestic hot water end-use energy,kWh,,,
ELEC-METER,Exterior to the building end-use energy,kWh,,,
ELEC-METER,spare enduse 6,kWh,,,
ELEC-METER,spare enduse 5,kWh,,,
ELEC-METER,spare enduse 4,kWh,,,
ELEC-METER,spare enduse 3,kWh,,,
ELEC-METER,spare enduse 2,kWh,,,
ELEC-METER,spare enduse 1,kWh,,,
ELEC-METER,TES Adjustment (to compensate for energy stored or dischared from tank),kWh,,,
ELEC-METER,Total end-use energy,kWh,,,
ELEC-METER,Transformer loss,kWh,,,
ELEC-METER,CA Title-24 TDV Multiplier,kWh,,,
FUEL-METER,Lighting end-use energy,Btu/hr,,,
FUEL-METER,Task lighting end-use energy,Btu/hr,,,
FUEL-METER,Miscellaneous equipment end-use energy,Btu/hr,,,
FUEL-METER,Heating end-use energy,Btu/hr,,,
FUEL-METER,Cooling end-use energy,Btu/hr,,,
FUEL-METER,Heat rejection end-use energy,Btu/hr,,,
FUEL-METER,Auxiliary end-use energy (pumps),Btu/hr,,,
FUEL-METER,Vent fan end-use energy,Btu/hr,,,
FUEL-METER,Refrigeration systems end-use energy,Btu/hr,,,
FUEL-METER,Supplemental heat pump end-use energy,Btu/hr,,,
FUEL-METER,Domestic hot water end-use energy,Btu/hr,,,
FUEL-METER,Exterior to the building end-use energy,Btu/hr,,,
FUEL-METER,spare enduse 6,Btu/hr,,,
FUEL-METER,spare enduse 5,Btu/hr,,,
FUEL-METER,spare enduse 4,Btu/hr,,,
FUEL-METER,spare enduse 3,Btu/hr,,,
FUEL-METER,spare enduse 2,Btu/hr,,,
FUEL-METER,spare enduse 1,Btu/hr,,,
FUEL-METER,TES Adjustment (to compensate for energy stored or dischared from tank),Btu/hr,,,
FUEL-METER,Total end-use energy,Btu/hr,,,
FUEL-METER,spare,Btu/hr,,,
FUEL-METER,CA Title-24 TDV Multiplier,Btu/hr,,,
STEAM-METER,Lighting end-use energy,Btu/hr,,,
STEAM-METER,Task lighting end-use energy,Btu/hr,,,
STEAM-METER,Miscellaneous equipment end-use energy,Btu/hr,,,
STEAM-METER,Heating end-use energy,Btu/hr,,,
STEAM-METER,Cooling end-use energy,Btu/hr,,,
STEAM-METER,Heat rejection end-use energy,Btu/hr,,,
STEAM-METER,Auxiliary end-use energy (pumps),Btu/hr,,,
STEAM-METER,Vent fan end-use energy,Btu/hr,,,
STEAM-METER,Refrigeration systems end-use energy,Btu/hr,,,
STEAM-METER,Supplemental heat pump end-use energy,Btu/hr,,,
STEAM-METER,Domestic hot water end-use energy,Btu/hr,,,
STEAM-METER,Exterior to the building end-use energy,Btu/hr,,,
STEAM-METER,spare enduse 6,Btu/hr,,,
STEAM-METER,spare enduse 5,Btu/hr,,,
STEAM-METER,spare enduse 4,Btu/hr,,,
STEAM-METER,spare enduse 3,Btu/hr,,,
STEAM-METER,spare enduse 2,Btu/hr,,,
STEAM-METER,spare enduse 1,Btu/hr,,,
STEAM-METER,TES Adjustment (to compensate for energy stored or dischared from tank),Btu/hr,,,
STEAM-METER,Total end-use energy,Btu/hr,,,
STEAM-METER,spare,Btu/hr,,,
CHW-METER,Lighting end-use energy,Btu/hr,,,
CHW-METER,Task lighting end-use energy,Btu/hr,,,
CHW-METER,Miscellaneous equipment end-use energy,Btu/hr,,,
CHW-METER,Heating end-use energy,Btu/hr,,,
CHW-METER,Cooling end-use energy,Btu/hr,,,
CHW-METER,Heat rejection end-use energy,Btu/hr,,,
CHW-METER,Auxiliary end-use energy (pumps),Btu/hr,,,
CHW-METER,Vent fan end-use energy,Btu/hr,,,
CHW-METER,Refrigeration systems end-use energy,Btu/hr,,,
CHW-METER,Supplemental heat pump end-use energy,Btu/hr,,,
CHW-METER,Domestic hot water end-use energy,Btu/hr,,,
CHW-METER,Exterior to the building end-use energy,Btu/hr,,,
CHW-METER,spare enduse 6,Btu/hr,,,
CHW-METER,spare enduse 5,Btu/hr,,,
CHW-METER,spare enduse 4,Btu/hr,,,
CHW-METER,spare enduse 3,Btu/hr,,,
CHW-METER,spare enduse 2,Btu/hr,,,
CHW-METER,spare enduse 1,Btu/hr,,,
CHW-METER,TES Adjustment (to compensate for energy stored or dischared from tank),Btu/hr,,,
CHW-METER,Total end-use energy,Btu/hr,,,
CHW-METER,spare,Btu/hr,,,
GROUND LOOP HX,Thermal load,*,,,
GROUND LOOP HX,Fluid flow,gpm,,,
GROUND LOOP HX,Available capacity at current conditions,*,,,
GROUND LOOP HX,Outlet temperature,deg F,,,
GROUND LOOP HX,Far field ground temperature,deg F,,,
GROUND LOOP HX,Ground temperature rise at well bore,deg F,,,
GROUND LOOP HX,Ground temperature rise due to current load,deg F,,,
GROUND LOOP HX,Fluid temperature rise,deg F,,,
GROUND LOOP HX,Rate of heat addition/removal (including cycling),*,,,
GROUND LOOP HX,Fraction of hour running,-,,,
WEATHER,Dry Bulb Temperatures (deg F),deg F,,,
WEATHER,Wet Bulb Temperatures (deg F),deg F,,,
WEATHER,Direct Normal Solar (BTU/Ft2),Btu/Ft2,,,
WEATHER,Direct Horizontal Solar (BTU/Ft),Btu/Ft2,,,
'''